flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ufuk Celebi <...@apache.org>
Subject Re: Failing Builds on Travis
Date Tue, 28 Apr 2015 12:53:22 GMT

On 28 Apr 2015, at 13:49, Maximilian Michels <mxm@apache.org> wrote:

> Hi Robert,
> 
> Thanks for investigating the Travis build issues. I'm very much in favor
> for dropping Java 6. It's deprecated. All major Linux distributions are
> shipping at least Java 7. It's a rare use case that requires a lot of
> effort for us to maintain backwards compatibility.
> 
> I don't recall the discussion but if we really decided to keep Java 6, then
> I guess we have to install a custom Maven version on Travis.

There was a discussion ~6 months ago: http://apache-flink-mailing-list-archive.1008284.n3.nabble.com/DISCUSS-Bump-the-minimum-Java-requirement-to-Java-7-for-Flink-td2243.html#a2249

Result was to not drop support for it. I'm not sure if anything has changed (with regards
to the arguments made). You can start a new discussion if you think we should consider dropping
support. In any case, let's not mix it up with the discussion here.

– Ufuk
Mime
View raw message